## meep-mpich2 1.7.0

=== doc/requirements.txt ===
mkdocs==0.17.5
python-markdown-math
mkdocs-material

## meep-mpich2 1.1.1

=== debian/changelog ===
meep-mpich2 (1.1.1-10build1) trusty; urgency=medium

  * Rebuild against libmpich10.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2014 12:42:41 +0100

meep-mpich2 (1.1.1-10) unstable; urgency=low

  * debian/rules: mv /usr/include/meep-mpich2 to /usr/include/meep
                  (Closes: #711768)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jun 2013 11:00:00 +0200

meep-mpich2 (1.1.1-9) unstable; urgency=low

  * debian/control: add more Conflicts:
  * debian/control: fix typo in mpich2 dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Jun 2012 20:00:00 +0200

meep-mpich2 (1.1.1-8) unstable; urgency=low

  * this package is a spin-off of meep-openmpi (1.1.1-8)
    As requested by users this package is linked against mpich2 
    instead of openmpi
  * debian/control: depend on debhelper >=9
  * debian/control: standards version changed to 3.9.3 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jun 2012 18:00:00 +0200

=== debian/control ===
Source: meep-mpich2
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran, debhelper (>= 9), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-mpich2-dev, libgsl0-dev, liblapack-dev, libmpich2-dev, libatlas-base-dev, chrpath, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
DM-Upload-Allowed: yes

Package: meep-mpich2
Architecture: any
Depends: ${shlibs:Depends}, mpich2, ${misc:Depends}
Description: software package for FDTD simulation, parallel (OpenMPI) version
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the MPICH2 version of the software.

Package: libmeep-mpich2-6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using parallel (OpenMPI) version of meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains the MPICH2 version of the library.

Package: libmeep-mpich2-dev
Section: libdevel
Architecture: any
Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-mpi-default-dev, libmeep-lam4-dev
Depends: libmeep-mpich2-6 (= ${binary:Version}), ${misc:Depends}
Description: development library for using parallel (OpenMPI) version of meep
 Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
 software package developed at MIT to model electromagnetic systems.
 .
 Its features include:
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting the MPI standard.
   * Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
     Magnetic permeability and electric/magnetic conductivities.
   * PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic 
     boundary conditions.
   * Exploitation of symmetries to reduce the computation size . 
     even/odd mirror symmetries and 90/180 degree rotations.
   * Complete scriptability - either via a Scheme scripting front-end 
     (as in libctl and MPB), or callable as a C++ library.
   * Field output in the HDF5 standard scientific data format, supported by 
     many visualization tools.
   * Arbitrary material and source distributions.
   * Field analyses including flux spectra, frequency extraction, and energy 
     integrals; completely programmable.
   * Multi-parameter optimization, root-finding, integration, etcetera 
     (via libctl). 
 .
 This package contains some files for developing software linked to MPICH2.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package = meep-mpich2
soname = 6
lm = lib$(package)-$(soname)
lmd = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

configure: configure-stamp-mpich2

configure-stamp-mpich2: 
	dh_testdir
	mkdir -p debian/build-mpich2
	cat configure | \
		sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-mpich2'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-mpich2'/g" > configure-mpich2
	chmod 755 configure-mpich2
	cd debian/build-mpich2 && \
	F77=gfortran ../../configure-mpich2 $(CONFIGURE_FLAGS) 
	rm -f configure-mpich2
	touch configure-stamp-mpich2

build: build-arch build-indep
build-arch: build-stamp-mpich2
build-indep: build-stamp-mpich2

build-stamp-mpich2: configure-stamp-mpich2 
	dh_testdir
	$(MAKE) -C debian/build-mpich2/
	touch build-stamp-mpich2

clean:
	dh_testdir
	dh_testroot
	-rm -rf debian/build-mpich2
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-mpich2
        # Lintian overrides
	set -e; \
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-mpich2: build-stamp-mpich2
	dh_testdir
	dh_testroot
	mkdir -p debian/build-mpich2/tmpinst
	$(MAKE) -C debian/build-mpich2/ install prefix=$(CURDIR)/debian/build-mpich2/tmpinst/usr
	/usr/bin/chrpath -d debian/build-mpich2/tmpinst/usr/lib/libmeep_mpich2.so
	/usr/bin/chrpath -d debian/build-mpich2/tmpinst/usr/bin/meep-mpich2
	mv debian/build-mpich2/tmpinst/usr/include/meep-mpich2 debian/build-mpich2/tmpinst/usr/include/meep
	dh_install -pmeep-mpich2 -p$(lm) -p$(lmd) \
                --sourcedir=debian/build-mpich2/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs
	dh_installman
	dh_installman -pmeep-mpich2 debian/meep-mpich2.1
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip 
	dh_compress
	dh_fixperms 
	dh_makeshlibs -p$(lm)
	dh_installdeb
	dh_shlibdeps -pmeep-mpich2
	dh_shlibdeps -p$(lm)
	dh_gencontrol
	dh_md5sums
	dh_builddeb -pmeep-mpich2 -p$(lm) -p$(lmd)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-mpich2

## meep-mpich2 1.2.1

=== debian/changelog ===
meep-mpich2 (1.2.1-3) unstable; urgency=medium

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756681)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Aug 2014 14:30:00 +0200

meep-mpich2 (1.2.1-2) unstable; urgency=medium

  * debian/control: add Conflicts: with old lib (Closes: #748660)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 May 2014 19:00:00 +0200

meep-mpich2 (1.2.1-1) unstable; urgency=medium

  * new upstream version
  * soname changed to 7
  * debian/rules: upstream ChangeLog is now called NEWS
  * debian/control: Standards Version to 3.9.5. (No changes needed).
  * debian/control: switch to dh 9
  * debian/control: use guile 2.0 now (Closes: #747800)
  * debian/control: remove DM-Upload-Allowed:
  * debian/control: rebuild against new mpich (Closes: #744116) 
  * debian/rules: use debhelper
  * debian/rules: use --with autoreconf (Closes:  #744463)
  * debian/copyright: adapt years

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 May 2014 11:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,28 @@
 Section: science
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 9), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-mpich2-dev, libgsl0-dev, liblapack-dev, libmpich2-dev, libatlas-base-dev, chrpath, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.2.2-2), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, 
+  libfftw3-dev, 
+  libhdf5-mpich-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  libmpich-dev, 
+  libatlas-base-dev, 
+  chrpath, 
+  dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
-DM-Upload-Allowed: yes
 
 Package: meep-mpich2
 Architecture: any
-Depends: ${shlibs:Depends}, mpich2, ${misc:Depends}
+Depends: ${shlibs:Depends}, mpich, ${misc:Depends}
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -35,10 +49,11 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpich2-6
+Package: libmeep-mpich2-7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libmeep-mpich2-6
 Description: library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -68,7 +83,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-mpi-default-dev, libmeep-lam4-dev
-Depends: libmeep-mpich2-6 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpich2-7 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

install_file    = /usr/bin/install -p -o root -g root -m 644
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/mpich/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/mpich
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/mpich
endif

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--with-gcc-arch=no \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	mv configure org.configure
	cat org.configure | \
	        sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-mpich2'/g" |\
       		sed "s/PACKAGE='meep'/PACKAGE='meep-mpich2'/g" > configure
	chmod 755 configure
	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	# cleanup for later builds
	if test -f org.configure; then mv org.configure configure; fi
	dh_installchangelogs NEWS
	dh_auto_install
	mv debian/tmp/usr/include/meep-mpich2 debian/tmp/usr/include/meep

override_dh_clean:
	# we do not need this anymore
	rm -f tests/latest_output
	rm -f libctl/meep_mpi
	rm -f meep_mpi.pc
	rm -f src/libmeep_mpi.la
	dh_clean

override_dh_auto_test:
	echo "tests disabled for now"
	#-make check
	#cat tests/test-suite.log

## meep-mpich2 1.3

=== debian/changelog ===
meep-mpich2 (1.3-3build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:56:47 +0000

meep-mpich2 (1.3-3) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg for the patch. (Closes: #807214)
  * debian/rules: put correct path to --with-libctl
  * builds again after the mpich transition (Closes: #807747)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Dec 2015 13:30:00 +0100

meep-mpich2 (1.3-2) unstable; urgency=medium

  * debian/control: add conflict with old version of libs (Closes: #790747)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Jul 2015 09:20:00 +0200

meep-mpich2 (1.3-1) unstable; urgency=medium

  * new upstream version
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Jun 2015 15:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
   zlib1g-dev, 
   libfftw3-dev, 
   libhdf5-mpich-dev, 
-  libgsl0-dev, 
+  libgsl-dev, 
   liblapack-dev, 
   libmpich-dev, 
   libatlas-base-dev, 
   chrpath, 
   dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep-mpich2
@@ -49,11 +49,11 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpich2-7
+Package: libmeep-mpich2-8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmeep-mpich2-6
+Conflicts: libmeep-mpich2-6, libmeep-mpich2-7
 Description: library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
@@ -83,7 +83,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-mpi-default-dev, libmeep-lam4-dev
-Depends: libmeep-mpich2-7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpich2-8 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr --mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
-	--with-libctl=/usr/share/libctl3 \
+	--with-libctl=/usr/share/libctl \
 	--with-gcc-arch=no \
 	--enable-shared --with-pic --enable-cxx \
 	--with-mpi=yes

## meep-mpich2 1.7.0

=== debian/changelog ===
meep-mpich2 (1.7.0-3) sid; urgency=medium

  * debian/*postinst debian/*prerm: add correct package name
              (Closes: #918074, #918858)
              Thanks to Peter Green and Andreas Beckmann for their hints
  * debian/control: update description according to upstream wishes
  * debian/control: update homepage
  * debian/control: Standards Version to 4.3.0. (No changes needed).
  * debian/copyright: update Upstream-Source:

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Feb 2019 19:00:00 +0100

meep-mpich2 (1.7.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 25 Dec 2018 16:29:02 +0100

meep-mpich2 (1.7.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use dh11
  * debian/control: Standards Version to 4.2.1. (No changes needed).
  * debian/control: use libctl>=4.1.4-2
  * debian/control: add swig dependency
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/rules: add --enable-maintainer-mode to configure flags
  * debian/control: depend on newest libctl and thus on guile2.2
                    (Closes: #885217)
  * debian/control: depend on newest libharminv
  * debian/control: add salsa VCS URLs
  * debian/control: bump SONAME to 12
  * debian/control: upstream does not support parallel installation of
                    serial and MPI version any longer
                    add conflicts accordingly
  * debian/rules: add --enable-maintainer-mode to configure flags
  * debian/rules: enable hardening flags
  * update debian/watch

  [ Ruben Undheim ]
  * add python package

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Dec 2018 19:29:02 +0100

meep-mpich2 (1.3-4) unstable; urgency=medium

  * rebuild with gcc-6 (Closes: #831106)
  * debian/control: bump standard to 3.9.8, no changes

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 Aug 2016 14:10:00 +0200

=== debian/control ===
Source: meep-mpich2
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: gfortran
	, debhelper (>= 11)
	, libctl-dev (>= 4.1.4-2)
	, pkg-config
	, libharminv-dev (>= 1.4.1)
	, zlib1g-dev
	, libfftw3-dev
	, libhdf5-mpich-dev
	, libgsl-dev
	, liblapack-dev
	, libmpich-dev
	, libatlas-base-dev
	, chrpath
	, dpkg-dev (>= 1.16.1~)
        , swig
        , python-dev
        , python-numpy
        , python-h5py
	, mpich
Standards-Version: 4.3.0
Homepage: https://meep.readthedocs.io
Vcs-Browser: https://salsa.debian.org/alteholz/meep-mpich2
Vcs-Git: https://salsa.debian.org/alteholz/meep-mpich2.git

Package: meep-mpich2
Architecture: any
Depends: ${shlibs:Depends}, mpich, ${misc:Depends}
Description: software package for FDTD simulation, parallel (OpenMPI) version
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the MPICH2 version of the software.

Package: libmeep-mpich2-12
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmeep-mpich2-6, libmeep-mpich2-7, libmeep-mpich2-8
	, libmeep-openmpi6, libmeep-openmpi7, libmeep-openmpi8, libmeep-openmpi12
        , libmeep-lam4-6, libmeep-lam4-7, libmeep-lam4-8, libmeep-lam4-12
        , libmeep-mpi-default6, libmeep-mpi-default7, libmeep-mpi-default8, libmeep-mpi-default12
        , libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
Description: library for using parallel (OpenMPI) version of meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the MPICH2 version of the library.

Package: libmeep-mpich2-dev
Section: libdevel
Architecture: any
Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-mpi-default-dev, libmeep-lam4-dev
Depends: libmeep-mpich2-12 (= ${binary:Version}), ${misc:Depends}
Description: development library for using parallel (OpenMPI) version of meep
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains some files for developing software linked to MPICH2.

Package: python-meep-mpich2
Section: python
Architecture: any
Depends: libmeep-mpich2-12 (= ${binary:Version})
        , ${misc:Depends}
        , ${shlibs:Depends}
        , python-numpy
        , python
Description: software package for FDTD simulation with Python
 Meep is a free and open-source software package for electromagnetics
 simulation via the finite-difference time-domain (FDTD) method.
 .
 Its features include:
   * Free and open-source software under the GNU GPL.
   * Complete scriptability via Python, Scheme, or C++ APIs.
   * Simulation in 1d, 2d, 3d, and cylindrical coordinates.
   * Distributed memory parallelism on any system supporting MPI.
   * Arbitrary anisotropic electric permittivity ε and magnetic permeability μ,
     along with dispersive ε(ω) and μ(ω) including loss/gain,
     nonlinear (Kerr & Pockels) dielectric and magnetic materials,
     electric/magnetic conductivities σ, and saturable gain/absorption.
   * Perfectly-matched layer (PML) absorbing boundaries as well as
     Bloch-periodic and perfect-conductor boundary conditions.
   * Exploitation of symmetries to reduce the computation size, including
     even/odd mirror planes and 90°/180° rotations.
   * Arbitrary current sources including a guided-mode launcher.
   * Frequency-domain solver for finding the response to a
      continuous-wave (CW) source.
   * ε/μ and field import/export in the HDF5 data format.
   * GDSII file import for planar geometries.
   * Materials library containing predefined broadband, complex
     refractive indices.
   * Field analyses including Poynting flux, mode decomposition, near to far
     transformations, frequency extraction, local density of states (LDOS),
     modal volume, Maxwell stress tensor, arbitrary functions; completely
     programmable.
 .
 This package contains the Python binding.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # This has to be exported to make some magic below work.
 #export DH_OPTIONS
@@ -20,25 +22,26 @@
 	--with-libctl=/usr/share/libctl \
 	--with-gcc-arch=no \
 	--enable-shared --with-pic --enable-cxx \
-	--with-mpi=yes
+	--with-mpi=yes \
+	--enable-maintainer-mode
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	mv configure org.configure
-	cat org.configure | \
-	        sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-mpich2'/g" |\
-       		sed "s/PACKAGE='meep'/PACKAGE='meep-mpich2'/g" > configure
-	chmod 755 configure
 	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)
 
 override_dh_auto_install:
-	# cleanup for later builds
-	if test -f org.configure; then mv org.configure configure; fi
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.md
 	dh_auto_install
-	mv debian/tmp/usr/include/meep-mpich2 debian/tmp/usr/include/meep
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyc
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyo
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.a
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.la
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyc
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyo
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.a
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.la
 
 override_dh_clean:
 	# we do not need this anymore
@@ -49,6 +52,20 @@
 	dh_clean
 
 override_dh_auto_test:
-	echo "tests disabled for now"
-	#-make check
-	#cat tests/test-suite.log
+	echo ${arch}
+	#if [ "${arch}" = "armel" ] || \
+	#   [ "${arch}" = "mips" ] || \
+	#   [ "${arch}" = "mipsel" ] || \
+	#   [ "${arch}" = "powerpc" ] || \
+	#   [ "${arch}" = "sparc" ] ; then \
+	#  echo "Do not make tests on this architecture" ;\
+	#else \
+	#  echo "Do make tests on this architecture" ;\
+	#  make check; \
+	#  find; \
+	#  cat python/test-suite.log; \
+	#fi
+	# check whether testsuite runs everywhere
+	make check; \
+	cat tests/test-suite.log
+#	cat python/test-suite.log
